function [x]=signal_build(info,points)
%function [x]=signal_build(info,points)
%info: binary sequence;
%points: per signalling interval
%the transmitted signal can be obtained by y=conv(x,g)
%  where g is the pulse

info=reshape(info,length(info),1);
y=zeros(1,points);
y(1)=1;
x=info*y;
x=reshape(x',1,length(info)*points);