linfo=32;
info=2*(rand(1,linfo)>0.5)-1;
points=64;
x=signal_build(info,points);
%costruisci l'impulso con intersimbolo
A=10;  %ampiezza
lnv=[8/3 2]; %pulse duration with, without ISI in T
colors=['k';'r'];
for is=1:2
    ln=lnv(is);
    t0=floor((ln/2)*points);
    t=(-t0:1:t0)/points;
    pulse=zeros(1,length(t));
    pulse(t<=0)=-(t(t<=0)-t(1))*A/t(1);
    pulse(t>0)=(t(t>0)+t(1))*A/t(1);
    y1=conv(x,pulse);
    t1=(-t0:1:t0+linfo*points-1)/points;
    str=sprintf('%s',colors(is,:));
    plot(t1,y1,str);
    hold on
end
for i=0:linfo-1
    xc=[i,i];yc=[-A*1.5, A*1.5];
    plot(xc,yc,'b-.');
end
set(gca,'XLim',[t1(1),t1(length(t1))]);
xlabel('t/T'); title('without ISI (read), with ISI (black)');
grid on;